Skip to main content
Network Management/Network Services
POSTNetwork ServicesSince 0.6SynchronousAuth Required

AttachNetworkServiceToL3Network

AttachNetworkServiceToL3Network

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • l3NetworkUuidStringRequired

    The L3 network UUID.

Body Fields

  • networkServicesMapRequired

    The network services.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns an empty JSON object {}.

Endpoint

POST/zstack/v1/l3-networks/{l3NetworkUuid}/network-services

/zstack/v1/l3-networks/{l3NetworkUuid}/network-services

Operation ID

AttachNetworkServiceToL3Network

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/l3-networks/{l3NetworkUuid}/network-services' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"networkServices":{},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{}

Change History

This API has no change history records yet.

View all change history